ND-AUTOINSTALL(1)

NAME
nd-autoinstall - install (if necessary) and run an application

SYNOPSIS
nd-autoinstall [options] COMMAND [command_options]

DESCRIPTION
Runs the COMMAND if it is available, otherwise installs PACKAGE first, and then runs the command. If an environment file is specified, it gets sourced first (PACKAGE gets installed if environment file is not available).

OPTIONS

-p, --package=PACKAGE

    Name of the package to be installed if named differently than COMMAND.

-e, --environment-file=FILE

File to be sourced before invocation of the COMMAND.
    If not found,

    PACKAGE gets installed first.

-f, --force

    Skip all checks and install package(s) provided via --package.

-F, --file=FILE

    If specified file is not present, install the PACKAGE and run the COMMAND.

-v, --verbose

    Enable additional progress messages.

-t, --title

    Optinal title of the installation dialog.

-h, --help

    Print short description, usage summary and option list.

--version

    Print version information and exit.

Exit status:

    exit status of the COMMAND -

    if COMMAND is available (or got sucesfully installed)

    2 - incorrect invocation of nd-autoinstall 3 - PACKAGE installation failure

AUTHOR
Written by Yaroslav Halchenko for the NeuroDebian project.

COPYRIGHT
Copyright © 2010 Yaroslav Halchenko <debian@onerussian.com>

Licensed under GNU Public License version 3 or later.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.